Name: astromenace
Version:  1.3.1
Release:  1%{?dist}
Summary: Hardcore 3D space shooter with spaceship upgrade possibilities  

Group: Amusements/Games 
License: GPLv3
URL: http://www.viewizard.com/
# this is the Sourceforge source with RAW_VFS_DATA/FONTS/Ubuntu* removed, they
# use the non-free Ubuntu Font License 1.0
Source0: astromenace-src-fontless-1.3.1.tar.bz2
Source1: astromenace.desktop
Source2: astromenace.png
#Patch0: astromenace-langvfs.patch
#Patch1: astromenace-640x480.patch
Patch2: astromenace-programmdir.patch
Patch4: astromenace-level2-crash.patch
Patch5: astromenace-1.3.1-fontless.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
BuildRequires: cmake, SDL-devel, libogg-devel
BuildRequires: libvorbis-devel, libjpeg-devel, desktop-file-utils
BuildRequires: openal-soft-devel freealut-devel >= 1.1.0-10
BuildRequires: libXinerama-devel
BuildRequires: freetype-devel
Obsoletes: astromenace-data <= %{version}-%{release}
Provides: astromenace-data = %{version}-%{release}
Requires: opengl-games-utils

%description
Space is a vast area, an unbounded territory where it seems there is a 
room for everybody, but reversal of fortune put things differently. The 
hordes of hostile creatures crawled out from the dark corners of the
universe, craving to conquer your homeland. Their force is compelling,
their legions are interminable. However, humans didn't give up without
a final showdown and put their best pilot to fight back. These malicious
invaders chose the wrong galaxy to conquer and you are to prove it! 
Go ahead and make alien aggressors regret their insolence.

%prep
%setup -qn AstroMenace

sed -i 's/\r//' License.txt
sed -i 's/\r//' gpl-3.0.txt
chmod -x License.txt
chmod -x ReadMe.txt
chmod -x gpl-3.0.txt

#%patch0 -p0
#%patch1 -p1
%patch2 -p0
%patch4 -p1
%patch5 -p0

%build
%cmake .
make %{?_smp_mflags}

./AstroMenace --pack --rawdata=./RAW_VFS_DATA --dir=./

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{_bindir}
install -m 755 AstroMenace %{buildroot}%{_bindir}/astromenace
mkdir -p %{buildroot}%{_datadir}/astromenace
install -m 644 gamedata.vfs %{buildroot}%{_datadir}/astromenace/
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps

ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
  
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/astromenace
%{_bindir}/%{name}-wrapper
%doc ReadMe.txt License.txt gpl-3.0.txt
%{_datadir}/applications/astromenace.desktop
%{_datadir}/icons/hicolor/64x64/apps/astromenace.png
%{_datadir}/astromenace/

%changelog
* Thu Mar 21 2013 Jon Ciesla <limburgher@gmail.com> - 1.3.1-1
- 1.3.1.
- Drop desktop vendor tag.
- Obsolete/provide -data.
- Using modified tarball and patch to avoid Ubuntu Font License, non-free.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1.2-19
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 1.2-18
- rebuild against new libjpeg

* Sun Sep 30 2012 Jon Ciesla <limburgher@gmail.com> - 1.2-17
- Patch for crash starting level 2, BZ 832142.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 18 2009 Hans de Goede <hdegoede@redhat.com> - 1.2-13
- Switch to openal-soft

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May  8 2009 Ville Skyttä <ville.skytta at iki.fi> - 1.2-11
- Build with $RPM_OPT_FLAGS (use %%cmake macro), parallel make.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jun 06 2008 Jon Ciesla <limb@jcomserv.net> - 1.2-9
- Update to 080519 source release.
- updated programmdir patch.

* Fri Feb 15 2008 Jon Ciesla <limb@jcomserv.net> - 1.2-8
- Update to 080115 source release.
- Dropped stuckmouse patch, fixed upstream.

* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> - 1.2-7
- GCC 4.3 rebuild.

* Tue Dec 11 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-6
- Added patch to set default data path, BZ 393751.

* Fri Dec 07 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-5
- Added patch to fix stuck mouse, BZ 327671.

* Thu Dec 06 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-4
- Patch to fix default video mode issue.
- Update to 071105 source release.

* Mon Oct 08 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-3
- Added support for opengl-games-utils, .desktop cleanup.

* Fri Oct 05 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-2
- Used main upstream sources, not sf.net fork.
- Patched for gamelang paths.

* Tue Oct 02 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-1
- create.
